#include <stdio.h>
#include <stdlib.h>
#include "functions.h"

char *kreis[] =
        {
#include "kreis.pic"
        };

char *rec[] =
        {
#include "rec.pic"
        };

char *drei[] =
        {
#include "drei.pic"
        };

char *dummy[] =
        {
#include "drei.pic"
        };

char **pictures[] = {kreis, drei, rec};

int Compare(char **orig, char **pic, int start, int end)
{
	int fails = 0;
	int i = start, j = 0;

	while (*pic[i] && (i <= end)) {
		j = 0;
		while (*(pic[i] + j)) {
			if (*(orig[i] + j) != *(pic[i] + j))
				fails++;
			j++;
		}
		i++;
	}

	return fails;
}

int CountChar(char**pic, int start, int end)
{
	int ch = 0;
	int i = start, j;

	while (*pic[i] && (i <= end)) {
		j = 0;
		while (pic[i][j])
			if (pic[i][j++] == '#') ch++;
		++i;
	}
	return ch;
}

char **NextPic(void)
{
	int i = rand() % 3;

	return pictures[i];
}

void PrintPic(char** pic)
{
	int i = 0;

	while (*pic[i])
		printf("%s\n", pic[i++]);

}

int GetColumns(char** pic)
{
	int i = 0;

	while (pic[i][0]) ++i;
	return i;
}

int GetRows(char** pic)
{
	int i = 0;
	while (pic[0][i]) ++i;
	return i;
}
